Add-on downloaden error

Mozilla Firefox is de webbrowser van Mozilla. Volg in geval van problemen eerst onze standaard diagnose.
Gebruikersavatar
Speedy12
Berichten: 124
Lid geworden op: 16 April 2008, 8:27
Mozilla/5.0 (Android 7.1.2; Mobile; rv:52.0) Gecko/52.0 Firefox/52.0

Add-on downloaden error

Berichtdoor Speedy12 » 17 April 2017, 22:45

Halo,
Hoe zet ik de beveiliging in FF voor het downloaden van een add-on uit?
Ik heb het al geprobeerd dmv about:config en dan XPINSTALL op false maar dat helpt niet.
Het probleem is dit, ik wil deze add-on downloaden
https://ftp.mozilla.org/pub/calendar/li ... .win32.xpi
maar dan krijg ik de melding dat FF heeft voorkomen dat het werd gedownload en gaat het feest niet door.
Het is nu wel gelukt maarrrrr met IE en dat kan nooooiiiiit de bedoeling zijn natuurlijk. :oops:
Ik zie waarschijnlijk iets over het hoofd maar ik zie niet wat.
Oja de add-on is voor Earlybird en het heeft in het verleden prima gewerkt alleen 2 weken geleden bij het updaten was de kalender ineens weg.
Misschien iemand hier ervaring mee?

Gr. Speedy

corvl
Berichten: 894
Lid geworden op: 7 Mei 2009, 1:21
Mozilla/5.0 (X11; Linux i686; rv:45.0) Gecko/20100101 Firefox/45.0

Re: Ad-on downloaden error

Berichtdoor corvl » 18 April 2017, 0:56

Kun je deze extensie niet via Earlybird downloaden (ben niet bekend met Earlybird)?

Als je dat via het rechter muis context menu doet dan moet er geen probleem zijn (Koppeling opslaan als…).
Deze versie is compatibel met Tb 54.0a2 als ik dit controleer in install.rdf.
Zie ook:
https://ftp.mozilla.org/pub/calendar/lightning/nightly/

Gebruikersavatar
Pettic
Berichten: 3308
Lid geworden op: 28 November 2004, 11:45
Locatie: Rotterdam
Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0

Re: Ad-on downloaden error

Berichtdoor Pettic » 18 April 2017, 7:49

Het probleem is dat Thunderbird 52.0.1 (nog) geen aangepaste versie van Lightning heeft. Daarom heb ik een oudere TB-versie er maar weer op gezet.
Windows (64); Firefox; Thunderbird

Gebruikersavatar
Speedy12
Berichten: 124
Lid geworden op: 16 April 2008, 8:27
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0

Re: Add-on downloaden error

Berichtdoor Speedy12 » 18 April 2017, 9:56

Goede Morgen,
@Corvl, Yes dat is tie, werkt in FF alsook in TB.
Earlybird is TB 54.0a2
Ik was er zo mee bezig dat ik daar nu net weer overheen keek.
Gewoon na het downloaden bij de add-on's kiezen voor installeren via bestand en hopla :D

@Pettic, zoals je hierboven in mijn antwoord aan Corvl kan lezen is de werking van lighting in TB54.0a2 geen probleem.

Heren bedankt voor het meedenken.
M.vr.g Speedy

Torzan
Berichten: 470
Lid geworden op: 16 Januari 2016, 13:08
Mozilla/5.0 (Windows NT 6.1; rv:52.0) Gecko/20100101 Firefox/52.0

Re: Add-on downloaden error

Berichtdoor Torzan » 18 April 2017, 11:07

(Net te laat, maar misschien handig voor anderen)

De add-on met de link ervan is de aurora-versie van Lightning en bestemd voor Thunderbird, zoals je aangaf. Als je die aanklikt met Firefox, neemt Firefox aan dat je hem daarin wilt installeren, wat (met ingang van Firefox 48) alleen zou werken in FF Aurora / Developer Edition, als die tenminste voor Firefox was gemaakt. In plaats daarvan kun je via het contextmenu (de rechtermuisknop) kiezen voor Koppeling opslaan als om de add-on eerst te downloaden en daarna in de Add-onbeheerder te installeren via een bestand. Zie ook dit supportartikel.

Maar aangezien (of als) je Earlybird gebruikt: is Lightning daarin dan nog niet standaard aanwezig? Als dat wel of eenmaal zo is, kun je die dagelijks (automatisch) laten bijwerken. Zorg er dan ook voor dat je een recente Earlybird hebt en/of die ook up-to-date houdt. Houd er rekening mee dat de versie die je wilt downloaden niet in de releaseversie van TB 52 werkt, als dat je probleem is (er is altijd sprake van een nodige combinatie). Het zou dus niet nodig hoeven zijn, en gelokaliseerde versies hiervoor kun je hier vinden, als Earlybird dat ook is.


Als het om het niet meer werken of aanwezig lijken van Lightning na een upgrade naar de releaseversie van Thunderbird 52 gaat: op AMO zijn wat opmerkingen te vinden, evenals in het ondersteuningsforum. In het bovengenoemde supportartikel zag ik ook een opmerking over bevestiging van gebruik na een upgrade; wellicht dat daarin iets verkeerd kan gaan.

Samengevat uit de perikelen: het is niet zo dat er geen Lightning in de huidige installer van TB aanwezig is; bij de meesten gaat upgraden ook wel goed (m.n. Windows; TB 52.0.1 zou Lightning op dit moment moeten bijwerken naar 5.4.0.1, die zelf echter niet beschikbaar is), onder Linux kan gebruik van een pakket van de distributie nodig zijn, en bijwerken van de releaseversie van de Lightning-add-on op AMO voor TB 52 had geen prioriteit, aangezien het al in TB aanwezig is.

Ik denk dat installeren van de 5.4b4-versie via het ontwikkelingskanaal op AMO bij een dergelijk probleem wel zou moeten helpen - wellicht dat dit eerdaags de nieuwe releaseversie op AMO wordt. Ook zou je de vorige versie van Thunderbird kunnen installeren en alles (nog eens) automatisch kunnen laten bijwerken. Meer info over Lightning-versies is hier te vinden.

corvl
Berichten: 894
Lid geworden op: 7 Mei 2009, 1:21
Mozilla/5.0 (X11; Linux i686; rv:45.0) Gecko/20100101 Firefox/45.0

Re: Add-on downloaden error

Berichtdoor corvl » 19 April 2017, 4:56

Zie ook:
https://github.com/mozilla-l10n/localizer-documentation/blob/master/misc/aurora_faqs.md
Bug 1353825 Dawn Project: Migrate aurora users to Beta channel post April 18th merge
Bug 1353924 - Project Dawn for Thunderbird

Gebruikersavatar
Speedy12
Berichten: 124
Lid geworden op: 16 April 2008, 8:27
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0

Re: Add-on downloaden error

Berichtdoor Speedy12 » 19 April 2017, 20:08

Cor, bedankt voor deze aanvullende informatie, leverde toch met doorklikken weer een uurtje lezen op :lol:
Om het nog een beetje spannender te maken zal ik je ook nog vertellen dat ik Earlybird (TB54.0a2) portable gemaakt heb.
Dus alles op een usb-stick of sd-card en ik heb het altijd bij me.
Lightning heeft daarvoor versie 5.6a2 en toen die met bijwerken daarvan ineens verdwenen was ging het autom. bijwerken dus ook niet meer.
Ook in Earlybird downloaden heeft dezelfde bescherming als FF, maar zoals je al eerder opmerkte, "rechts klikken"

M.vr.gr. Speedy


Terug naar “Mozilla Firefox”